CqlBulkRecordWriter.ExternalClient (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.hadoop.cql3

## Class CqlBulkRecordWriter.ExternalClient

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableLoader.Client
  - - org.apache.cassandra.hadoop.AbstractBulkRecordWriter.ExternalClient
    - - org.apache.cassandra.hadoop.cql3.CqlBulkRecordWriter.ExternalClient

- Enclosing class:
    CqlBulkRecordWriter

      public static class CqlBulkRecordWriter.ExternalClient
      extends AbstractBulkRecordWriter.ExternalClient

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CqlBulkRecordWriter.ExternalClient(org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKnownCfs(java.lang.String keyspace, java.lang.String cql)`
    `CFMetaData` | `getCFMetaData(java.lang.String keyspace, java.lang.String cfName)` Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.

    - ### Methods inherited from class org.apache.cassandra.hadoop.AbstractBulkRecordWriter.ExternalClient

      `init`

    - ### Methods inherited from class org.apache.cassandra.io.sstable.SSTableLoader.Client

      `addRangeForEndpoint, getConnectionFactory, getEndpointToRangesMap, getPartitioner, setPartitioner, setPartitioner, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CqlBulkRecordWriter.ExternalClient

          public CqlBulkRecordWriter.ExternalClient(org.apache.hadoop.conf.Configuration conf)

  - ### Method Detail

    - #### addKnownCfs

          public void addKnownCfs(java.lang.String keyspace,
                         java.lang.String cql)

    - #### getCFMetaData

          public CFMetaData getCFMetaData(java.lang.String keyspace,
                                 java.lang.String cfName)

      Description copied from class: `SSTableLoader.Client`
      Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.
      Overrides:
        `getCFMetaData` in class `AbstractBulkRecordWriter.ExternalClient`

Copyright © 2014 The Apache Software Foundation